Index: kicker/core/container_extension.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/core/container_extension.cpp,v
retrieving revision 1.52
diff -d -u -p -r1.52 container_extension.cpp
--- kicker/core/container_extension.cpp	26 Feb 2003 13:07:17 -0000	1.52
+++ kicker/core/container_extension.cpp	5 Mar 2003 05:53:42 -0000
@@ -258,11 +258,12 @@ ExternalExtensionContainer::ExternalExte
     QVBox* box = new QVBox( this );
     setMainWidget( box );
 
+#ifdef Q_WS_X11
     // init QXEmbed
     _embed = new QXEmbed( box );
-    
     connect (_embed, SIGNAL(embeddedWindowDestroyed()),
              this, SIGNAL(embeddedWindowDestroyed()));
+#endif
 
     KProcess process;
     process << "extensionproxy"
@@ -371,7 +372,12 @@ bool ExternalExtensionContainer::process
         {
             QDataStream reply( replyData, IO_WriteOnly );
             replyType = "WId";
+#ifdef Q_WS_X11
             reply << _embed->winId();
+#else
+	    //Fixme, need something better for QWS & MAC
+	    reply << 0;
+#endif
 
             QDataStream sdata( data, IO_ReadOnly );
             int actions, type;
Index: kicker/core/container_extension.h
===================================================================
RCS file: /home/kde/kdebase/kicker/core/container_extension.h,v
retrieving revision 1.24
diff -d -u -p -r1.24 container_extension.h
--- kicker/core/container_extension.h	26 Feb 2003 13:07:17 -0000	1.24
+++ kicker/core/container_extension.h	5 Mar 2003 05:53:42 -0000
@@ -137,7 +137,9 @@ private slots:
    void slotAlignmentChange( Alignment a );
 
 private:
+#ifdef Q_WS_X11
     QXEmbed  *_embed;
+#endif
     QCString  _app;
     bool      _isdocked;
 };
Index: kicker/core/container_panel.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/core/container_panel.cpp,v
retrieving revision 1.77
diff -d -u -p -r1.77 container_panel.cpp
--- kicker/core/container_panel.cpp	18 Feb 2003 05:46:20 -0000	1.77
+++ kicker/core/container_panel.cpp	5 Mar 2003 05:53:44 -0000
@@ -49,6 +49,7 @@ CONNECTION WITH THE SOFTWARE OR THE USE 
 #include "container_panel.h"
 #include "container_panel.moc"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 const int XFocusOut = FocusOut;
 const int XFocusIn = FocusIn;
@@ -60,6 +61,7 @@ const int XFocusIn = FocusIn;
 extern Time qt_x_time;
 
 KWinModule* PanelContainer::kWinModule = 0;
+#endif
 
 PanelSettings::PanelSettings()
 {
@@ -158,6 +160,7 @@ PanelContainer::PanelContainer(QWidget *
   , _is_lmb_down(false)
   , _in_autohide(false)
 {
+#ifdef Q_WS_X11
     if( kWinModule == 0 ) {
          kWinModule = new KWinModule();
     }
@@ -170,6 +173,7 @@ PanelContainer::PanelContainer(QWidget *
     connect( kWinModule, SIGNAL( strutChanged() ), this, SLOT( strutChanged() ) );
     connect( kWinModule, SIGNAL( currentDesktopChanged(int) ),
 	     this, SLOT( currentDesktopChanged(int) ) );
+#endif
 
     setFrameStyle( NoFrame );
     setLineWidth( 0 );
@@ -246,8 +250,12 @@ PanelSettings PanelContainer::defaultSet
 
 static bool isnetwm12_below()
 {
+#ifdef Q_WS_X11
     NETRootInfo info( qt_xdisplay(), NET::Supported );
     return info.supportedProperties()[ NETRootInfo::STATES ] & NET::KeepBelow;
+#else
+    return FALSE;
+#endif
 }
 
 void PanelContainer::readConfig( KConfig* config )
@@ -270,19 +278,27 @@ void PanelContainer::readConfig( KConfig
     if( netwm12 ) // new netwm1.2 compliant way
     {
     if( _settings._hideMode == PanelSettings::Background ) {
+#ifdef Q_WS_X11
 	KWin::setState( winId(), NET::KeepBelow );
+#endif
 	UnhideTrigger::the()->setEnabled( true );
     } else {
+#ifdef Q_WS_X11
 	KWin::clearState( winId(), NET::KeepBelow );
+#endif
     }
     }
     else // old way
     {
     if( _settings._hideMode == PanelSettings::Background ) {
+#ifdef Q_WS_X11
 	KWin::clearState( winId(), NET::StaysOnTop );
+#endif
 	UnhideTrigger::the()->setEnabled( true );
     } else {
+#ifdef Q_WS_X11
 	KWin::setState( winId(), NET::StaysOnTop );
+#endif
     }
     }
     maybeStartAutoHideTimer();
@@ -508,8 +524,10 @@ void PanelContainer::unhideTriggered( Un
 	return;
 
     if( _settings._hideMode == PanelSettings::Background ) {
+#ifdef Q_WS_X11
 	if( _settings._unhideLocation == tr )
 	    KWin::setActiveWindow( winId() );
+#endif
 	return;
     }
 
@@ -653,6 +671,7 @@ bool PanelContainer::eventFilter( QObjec
     // get the mouse pointer and QApplication does not have an active window.
     case QEvent::Enter:
 	if  ( !qApp->activeWindow() ) {
+#ifdef Q_WS_X11
 	    XEvent ev;
 	    memset(&ev, 0, sizeof(ev));
 	    ev.xfocus.display = qt_xdisplay();
@@ -664,6 +683,7 @@ bool PanelContainer::eventFilter( QObjec
 	    qt_x_time = 1;
 	    qApp->x11ProcessEvent( &ev );
 	    qt_x_time = time;
+#endif
 	    setFocus(); // to avoid having a blinking cursor or a focus rectangle somewhere else
 	}
 	break;
@@ -918,6 +938,7 @@ void PanelContainer::updateWindowManager
 		    break;
     }
 
+#ifdef Q_WS_X11
     // only call KWin::setStrut when the strut is really changed
     if ( strut.left   != _strut.left  ||
          strut.right  != _strut.right ||
@@ -929,6 +950,7 @@ void PanelContainer::updateWindowManager
 //	kdDebug(1210) << strut.top << " " << strut.bottom << " " << strut.right << " " << strut.left << endl;
 	KWin::setStrut( winId(), strut.left, strut.right,  strut.top, strut.bottom );
     }
+#endif
 }
 
 QSize PanelContainer::sizeHint( Position p, const QSize &maxSize )
@@ -1197,10 +1219,12 @@ QRect PanelContainer::workArea(int Xiner
 	list.append((*it)->winId());
     }
 
+#ifdef Q_WS_X11
     if(XineramaScreen == -2) /* special value for all screens */
 	return kWinModule->workArea(list);
     else
 	return kWinModule->workArea(list).intersect(QApplication::desktop()->screenGeometry(XineramaScreen));
+#endif
 }
 
 PopupWidgetFilter::PopupWidgetFilter( QObject *parent )
Index: kicker/core/container_panel.h
===================================================================
RCS file: /home/kde/kdebase/kicker/core/container_panel.h,v
retrieving revision 1.34
diff -d -u -p -r1.34 container_panel.h
--- kicker/core/container_panel.h	27 Nov 2002 21:50:31 -0000	1.34
+++ kicker/core/container_panel.h	5 Mar 2003 05:53:44 -0000
@@ -125,7 +125,9 @@ protected:
     virtual bool vetoAutoHide() const { return false; }
     QRect workArea(int XineramaScreen);
 
+#ifdef Q_WS_X11
     static KWinModule* kWinModule;
+#endif
 
 protected slots:
     virtual void showPanelMenu( const QPoint& /* globalPos */ ) {};
Index: kicker/core/main.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/core/main.cpp,v
retrieving revision 1.31
diff -d -u -p -r1.31 main.cpp
--- kicker/core/main.cpp	14 Jul 2002 12:49:57 -0000	1.31
+++ kicker/core/main.cpp	5 Mar 2003 05:53:44 -0000
@@ -29,7 +29,9 @@ CONNECTION WITH THE SOFTWARE OR THE USE 
 #include <kconfig.h>
 #include <dcopclient.h>
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 #include <stdio.h>
 #include <stdlib.h>
@@ -57,9 +59,11 @@ static void sighandler(int)
 
 int main( int argc, char ** argv )
 {
+#ifdef Q_WS_X11
     {
         QCString multiHead = getenv("KDE_MULTIHEAD");
         if (multiHead.lower() == "true") {
+
 	    Display *dpy = XOpenDisplay(NULL);
 	    if (! dpy) {
 		fprintf(stderr, "%s: FATAL ERROR: couldn't open display %s\n",
@@ -73,7 +77,7 @@ int main( int argc, char ** argv )
 	    QCString display_name = XDisplayString(dpy);
 	    XCloseDisplay(dpy);
 	    dpy = 0;
-
+	    
 	    if ((pos = display_name.findRev('.')) != -1)
 		display_name.remove(pos, 10);
 
@@ -99,6 +103,7 @@ int main( int argc, char ** argv )
 	    }
 	}
     }
+#endif
 
     QCString appname;
     if (kicker_screen_number == 0)
Index: kicker/core/showdesktop.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/core/showdesktop.cpp,v
retrieving revision 1.2
diff -d -u -p -r1.2 showdesktop.cpp
--- kicker/core/showdesktop.cpp	29 Oct 2002 13:20:38 -0000	1.2
+++ kicker/core/showdesktop.cpp	5 Mar 2003 05:53:45 -0000
@@ -37,8 +37,8 @@ ShowDesktop* ShowDesktop::the()
 ShowDesktop::ShowDesktop()
   : QObject()
   , showingDesktop( false )
-  , kWinModule( 0 )
 {
+#ifdef Q_WS_X11
     kWinModule = new KWinModule( this );
 
     // on desktop changes or when a window is deiconified, we abort the show desktop mode
@@ -46,6 +46,7 @@ ShowDesktop::ShowDesktop()
              SLOT(slotCurrentDesktopChanged(int)));
     connect( kWinModule, SIGNAL(windowChanged(WId,unsigned int)),
              SLOT(slotWindowChanged(WId,unsigned int)));
+#endif
 }
 
 void ShowDesktop::slotCurrentDesktopChanged(int)
@@ -55,6 +56,7 @@ void ShowDesktop::slotCurrentDesktopChan
 
 void ShowDesktop::slotWindowChanged(WId w, unsigned int dirty)
 {
+#ifdef Q_WS_X11
     if ( !showingDesktop )
 	return;
 
@@ -69,6 +71,7 @@ void ShowDesktop::slotWindowChanged(WId 
 	    emit desktopShown( false );
 	}
     }
+#endif
 }
 
 void ShowDesktop::showDesktop( bool b )
@@ -79,6 +82,8 @@ void ShowDesktop::showDesktop( bool b )
     if ( b ) {
         // this code should move to KWin after supporting NETWM1.2
 	iconifiedList.clear();
+
+#ifdef Q_WS_X11
 	const QValueList<WId> windows = kWinModule->windows();
 	QValueList<WId>::ConstIterator it;
 
@@ -98,11 +103,14 @@ void ShowDesktop::showDesktop( bool b )
         for ( it=iconifiedList.begin(); it!=iconifiedList.end(); ++it ) {
             KWin::iconifyWindow( *it, false );
         }
+#endif
     } else {
+#ifdef Q_WS_X11
 	QValueList<WId>::ConstIterator it;
 	for ( it=iconifiedList.begin(); it!=iconifiedList.end(); ++it ) {
 	    KWin::deIconifyWindow( *it, false  );
 	}
+#endif
     }
 
     emit desktopShown( showingDesktop );
Index: kicker/core/showdesktop.h
===================================================================
RCS file: /home/kde/kdebase/kicker/core/showdesktop.h,v
retrieving revision 1.1
diff -d -u -p -r1.1 showdesktop.h
--- kicker/core/showdesktop.h	26 Feb 2002 18:42:45 -0000	1.1
+++ kicker/core/showdesktop.h	5 Mar 2003 05:53:45 -0000
@@ -52,7 +52,9 @@ private:
     ShowDesktop();
 
     bool              showingDesktop;
+#ifdef Q_WS_X11
     KWinModule*       kWinModule;
+#endif
     QValueList<WId>   iconifiedList;
 
 };
Index: kicker/proxy/appletproxy.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/proxy/appletproxy.cpp,v
retrieving revision 1.22
diff -d -u -p -r1.22 appletproxy.cpp
--- kicker/proxy/appletproxy.cpp	23 Jan 2003 07:11:24 -0000	1.22
+++ kicker/proxy/appletproxy.cpp	5 Mar 2003 05:53:46 -0000
@@ -45,7 +45,9 @@ CONNECTION WITH THE SOFTWARE OR THE USE 
 #include "appletproxy.h"
 #include "appletproxy.moc"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 // FIXME: Ugly, remove when cleaning up
 KPanelApplet::Position directionToPosition( int d )
@@ -211,8 +213,12 @@ void AppletProxy::dock(const QCString& c
 	// we use "call" to know whether it was sucessful
 
 	int screen_number = 0;
+#ifdef Q_WS_X11
 	if (qt_xdisplay())
 	    screen_number = DefaultScreen(qt_xdisplay());
+#else
+	screen_number = QApplication::desktop()->primaryScreen();
+#endif
 	QCString appname;
 	if (screen_number == 0)
 	    appname = "kicker";
@@ -233,8 +239,12 @@ void AppletProxy::dock(const QCString& c
 
     if (win) {
         _applet->hide();
+#ifdef Q_WS_X11
         QXEmbed::initialize();
         QXEmbed::embedClientIntoWindow( _applet, win );
+#else
+	//FIXME: port to QWS & MAC
+#endif
     }
     else {
         kdError() << "Failed to dock into the panel." << endl;
@@ -352,8 +362,12 @@ void AppletProxy::slotUpdateLayout()
 
     QByteArray data;
     int screen_number = 0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
 	screen_number = DefaultScreen(qt_xdisplay());
+#else
+    screen_number = QApplication::desktop()->primaryScreen();
+#endif
     QCString appname;
     if (screen_number == 0)
 	appname = "kicker";
@@ -369,8 +383,12 @@ void AppletProxy::slotRequestFocus()
 
     QByteArray data;
     int screen_number = 0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
 	screen_number = DefaultScreen(qt_xdisplay());
+#else
+    screen_number = QApplication::desktop()->primaryScreen();
+#endif
     QCString appname;
     if (screen_number == 0)
 	appname = "kicker";
@@ -383,8 +401,12 @@ void AppletProxy::slotRequestFocus()
 void AppletProxy::slotApplicationRemoved(const QCString& appId)
 {
     int screen_number = 0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
 	screen_number = DefaultScreen(qt_xdisplay());
+#else
+    screen_number = QApplication::desktop()->primaryScreen();
+#endif
     QCString appname;
     if (screen_number == 0)
 	appname = "kicker";
@@ -402,7 +424,9 @@ void AppletProxy::showStandalone()
     _applet->resize( _applet->widthForHeight( 48 ), 48 );
     _applet->setMinimumSize( _applet->size() );
     _applet->setCaption( _info->name() );
+#ifdef Q_WS_X1
     KWin::setType( _applet->winId(), NET::Tool );
+#endif
     kapp->setMainWidget( _applet );
     _applet->show();
 }
Index: kicker/proxy/extensionproxy.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/proxy/extensionproxy.cpp,v
retrieving revision 1.17
diff -d -u -p -r1.17 extensionproxy.cpp
--- kicker/proxy/extensionproxy.cpp	23 Jan 2003 07:11:24 -0000	1.17
+++ kicker/proxy/extensionproxy.cpp	5 Mar 2003 05:53:47 -0000
@@ -43,7 +43,9 @@ CONNECTION WITH THE SOFTWARE OR THE USE 
 #include "extensionproxy.h"
 #include "extensionproxy.moc"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 
 static KCmdLineOptions options[] =
@@ -196,8 +198,12 @@ void ExtensionProxy::dock(const QCString
 	// we use "call" to know whether it was sucessful
 
 	int screen_number = 0;
+#ifdef Q_WS_X11
 	if (qt_xdisplay())
 	    screen_number = DefaultScreen(qt_xdisplay());
+#else
+	screen_number = QApplication::desktop()->primaryScreen();
+#endif
 	QCString appname;
 	if (screen_number == 0)
 	    appname = "kicker";
@@ -218,8 +224,12 @@ void ExtensionProxy::dock(const QCString
 
     if (win) {
         _extension->hide();
+#ifdef Q_WS_X11
         QXEmbed::initialize();
         QXEmbed::embedClientIntoWindow( _extension, win );
+#else
+	//FIXME: port to QWS & MAC
+#endif
     }
     else {
         kdError() << "Failed to dock into the panel." << endl;
@@ -333,8 +343,12 @@ void ExtensionProxy::slotUpdateLayout()
 
     QByteArray data;
     int screen_number = 0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
 	screen_number = DefaultScreen(qt_xdisplay());
+#else
+    screen_number = QApplication::desktop()->primaryScreen();
+#endif
     QCString appname;
     if (screen_number == 0)
 	appname = "kicker";
@@ -347,8 +361,13 @@ void ExtensionProxy::slotUpdateLayout()
 void ExtensionProxy::slotApplicationRemoved(const QCString& appId)
 {
     int screen_number = 0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
 	screen_number = DefaultScreen(qt_xdisplay());
+#else
+    screen_number = QApplication::desktop()->primaryScreen();
+#endif
+
     QCString appname;
     if (screen_number == 0)
 	appname = "kicker";
Index: kicker/share/fittslawframe.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/share/fittslawframe.cpp,v
retrieving revision 1.9
diff -d -u -p -r1.9 fittslawframe.cpp
--- kicker/share/fittslawframe.cpp	29 Jul 2002 04:21:04 -0000	1.9
+++ kicker/share/fittslawframe.cpp	5 Mar 2003 05:53:47 -0000
@@ -34,9 +34,11 @@ CONNECTION WITH THE SOFTWARE OR THE USE 
 #include "fittslawframe.h"
 #include "fittslawframe.moc"
 
+#ifdef Q_WS_X11
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <X11/Xutil.h>
+#endif
 
 FittsLawFrame::FittsLawFrame( QWidget* parent, const char* name, WFlags f )
     : QFrame( parent, name, f )
@@ -49,6 +51,7 @@ FittsLawFrame::FittsLawFrame( QWidget* p
     pos_x = pos_y = 0;
 }
 
+#ifdef Q_WS_X11
 bool FittsLawFrame::x11Event( XEvent* e )
 {
     // "Catch" XEvents which occur on the panel's edges, and redirect them
@@ -322,6 +325,7 @@ bool FittsLawFrame::x11Event( XEvent* e 
 
     return false;
 }
+#endif
 
 FittsLawFrame::Position FittsLawFrame::mousePosition( const QPoint& p ) const
 {
Index: kicker/share/fittslawframe.h
===================================================================
RCS file: /home/kde/kdebase/kicker/share/fittslawframe.h,v
retrieving revision 1.8
diff -d -u -p -r1.8 fittslawframe.h
--- kicker/share/fittslawframe.h	11 Dec 2001 01:23:47 -0000	1.8
+++ kicker/share/fittslawframe.h	5 Mar 2003 05:53:47 -0000
@@ -50,7 +50,9 @@ signals:
     void resizeRequest( int dx, int dy );
 
 protected:
+#ifdef Q_WS_X11
     bool x11Event( XEvent* );
+#endif
     Position mousePosition( const QPoint& ) const;
     void setMouseCursor( Position m );
 
Index: kicker/taskmanager/taskmanager.cpp
===================================================================
RCS file: /home/kde/kdebase/kicker/taskmanager/taskmanager.cpp,v
retrieving revision 1.58
diff -d -u -p -r1.58 taskmanager.cpp
--- kicker/taskmanager/taskmanager.cpp	24 Feb 2003 15:50:35 -0000	1.58
+++ kicker/taskmanager/taskmanager.cpp	5 Mar 2003 05:53:49 -0000
@@ -31,15 +31,18 @@ CONNECTION WITH THE SOFTWARE OR THE USE 
 #include <qtimer.h>
 #include <qimage.h>
 
+#ifdef Q_WS_X11
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <X11/Xutil.h>
+#endif
 
 #include "taskmanager.h"
 #include "taskmanager.moc"
 
 template class QPtrList<Task>;
 
+#ifdef Q_WS_X11
 // Hack: create a global KWinModule without a parent. We
 // can't make it a child of TaskManager because more than one
 // TaskManager might be created. We can't make it a class
@@ -47,11 +50,13 @@ template class QPtrList<Task>;
 // So, we'll leak a little memory, but it's better than crashing.
 // The real problem is that KWinModule should be a singleton.
 KWinModule* kwin_module = new KWinModule();
+#endif
 
 TaskManager::TaskManager(QObject *parent, const char *name)
     : QObject(parent, name), _active(0), _startup_info( NULL )
 {
     KGlobal::locale()->insertCatalogue("libtaskmanager");
+#ifdef Q_WS_X11
     connect(kwin_module, SIGNAL(windowAdded(WId)), SLOT(windowAdded(WId)));
     connect(kwin_module, SIGNAL(windowRemoved(WId)), SLOT(windowRemoved(WId)));
     connect(kwin_module, SIGNAL(activeWindowChanged(WId)), SLOT(activeWindowChanged(WId)));
@@ -66,6 +71,7 @@ TaskManager::TaskManager(QObject *parent
     // set active window
     WId win = kwin_module->activeWindow();
     activeWindowChanged(win);
+#endif
 
     configure_startup();
 }
@@ -104,6 +110,7 @@ Task* TaskManager::findTask(WId w)
 
 void TaskManager::windowAdded(WId w )
 {
+#ifdef Q_WS_X11
     NETWinInfo info (qt_xdisplay(),  w, qt_xrootwin(),
 		     NET::WMWindowType | NET::WMPid | NET::WMState );
 
@@ -142,6 +149,7 @@ void TaskManager::windowAdded(WId w )
             }
 	}
     }
+#endif
 
     Task* t = new Task(w, this);
     _tasks.append(t);
@@ -175,6 +183,7 @@ void TaskManager::windowRemoved(WId w )
 
 void TaskManager::windowChanged(WId w, unsigned int dirty)
 {
+#ifdef Q_WS_X11
     if( dirty & NET::WMState ) {
         NETWinInfo info ( qt_xdisplay(),  w, qt_xrootwin(), NET::WMState );
         if ( (info.state() & NET::SkipTaskbar) != 0 ) {
@@ -192,6 +201,7 @@ void TaskManager::windowChanged(WId w, u
     // check if any state we are interested in is marked dirty
     if(!(dirty & (NET::WMVisibleName|NET::WMName|NET::WMState|NET::WMIcon|NET::XAWMState|NET::WMDesktop)) )
         return;
+#endif
 
     // find task
     Task* t = findTask( w );
@@ -283,18 +293,27 @@ void TaskManager::killStartup(Startup* s
 
 QString TaskManager::desktopName(int desk) const
 {
+#ifdef Q_WS_X11
     return kwin_module->desktopName(desk);
+#else
+    return "";
+#endif
 }
 
 int TaskManager::numberOfDesktops() const
 {
+#ifdef Q_WS_X11
     return kwin_module->numberOfDesktops();
+#else
+    return QApplication::desktop->numScreens();
+#endif
 }
 
 bool TaskManager::isOnTop(const Task* task)
 {
     if(!task) return false;
 
+#ifdef Q_WS_X11
     for (QValueList<WId>::ConstIterator it = kwin_module->stackingOrder().fromLast();
          it != kwin_module->stackingOrder().end(); --it ) {
 	for (Task* t = _tasks.first(); t != 0; t = _tasks.next() ) {
@@ -307,6 +326,7 @@ bool TaskManager::isOnTop(const Task* ta
 	    }
 	}
     }
+#endif
     return false;
 }
 
@@ -392,7 +412,11 @@ bool Task::isShaded() const
 
 bool Task::isOnCurrentDesktop() const
 {
+#ifdef Q_WS_X11
     return (_info.onAllDesktops || _info.desktop == kwin_module->currentDesktop());
+#else
+    return TRUE;
+#endif
 }
 
 bool Task::isOnAllDesktops() const
@@ -625,6 +649,7 @@ void Task::activateRaiseOrIconify()
 
 void Task::toDesktop(int desk)
 {
+#ifdef Q_WS_X11
     NETWinInfo ni(qt_xdisplay(), _win, qt_xrootwin(), NET::WMDesktop);
     if (desk == 0) {
         if (_info.onAllDesktops) {
@@ -638,20 +663,25 @@ void Task::toDesktop(int desk)
     ni.setDesktop(desk);
     if(desk == kwin_module->currentDesktop())
         KWin::setActiveWindow(_win);
+#endif
 }
 
 void Task::toCurrentDesktop()
 {
+#ifdef Q_WS_X11
     toDesktop(kwin_module->currentDesktop());
+#endif
 }
 
 void Task::setAlwaysOnTop(bool stay)
 {
+#ifdef Q_WS_X11
     NETWinInfo ni( qt_xdisplay(),  _win, qt_xrootwin(), NET::WMState);
     if(stay)
         ni.setState( NET::StaysOnTop, NET::StaysOnTop );
     else
         ni.setState( 0, NET::StaysOnTop );
+#endif
 }
 
 void Task::toggleAlwaysOnTop()
@@ -746,5 +776,7 @@ void Startup::update( const KStartupInfo
 
 int TaskManager::currentDesktop() const
 {
+#ifdef Q_WS_X11
     return kwin_module->currentDesktop();
+#endif
 }
Index: kmenuedit/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/kmenuedit/Makefile.am,v
retrieving revision 1.33
diff -d -u -p -r1.33 Makefile.am
--- kmenuedit/Makefile.am	12 Jul 2002 17:52:04 -0000	1.33
+++ kmenuedit/Makefile.am	5 Mar 2003 05:53:50 -0000
@@ -7,7 +7,7 @@ CLEANFILES = dummy.cpp
 
 kmenuedit_la_SOURCES = basictab.cpp treeview.cpp desktopfileeditor.cpp menueditview.cpp kmenuedit.cpp main.cpp khotkeys.cpp
 
-kmenuedit_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO)
+kmenuedit_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDECORE) $(LIB_QT) -lDCOP
 kmenuedit_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 kmenuedit_SOURCES = dummy.cpp
Index: konqueror/konq_combo.cc
===================================================================
RCS file: /home/kde/kdebase/konqueror/konq_combo.cc,v
retrieving revision 1.34
diff -d -u -p -r1.34 konq_combo.cc
--- konqueror/konq_combo.cc	15 Jan 2003 00:03:34 -0000	1.34
+++ konqueror/konq_combo.cc	5 Mar 2003 05:53:51 -0000
@@ -297,8 +297,8 @@ bool KonqCombo::eventFilter( QObject *o,
         if ( type == QEvent::KeyPress ) {
             QKeyEvent *e = static_cast<QKeyEvent *>( ev );
 
-            if ( KStdAccel::isEqual( e, KStdAccel::deleteWordBack() ) ||
-                 KStdAccel::isEqual( e, KStdAccel::deleteWordForward() ) ||
+            if ( (!KStdAccel::deleteWordBack().isNull() && KStdAccel::isEqual( e, KStdAccel::deleteWordBack() )) ||
+                 (!KStdAccel::deleteWordForward().isNull() && KStdAccel::isEqual( e, KStdAccel::deleteWordForward()) ) ||
                  ((e->state() & ControlButton) &&
                    (e->key() == Key_Left || e->key() == Key_Right) ) ) {
                 selectWord(e);
Index: konqueror/konq_mainwindow.cc
===================================================================
RCS file: /home/kde/kdebase/konqueror/konq_mainwindow.cc,v
retrieving revision 1.1138
diff -d -u -p -r1.1138 konq_mainwindow.cc
--- konqueror/konq_mainwindow.cc	1 Mar 2003 14:15:33 -0000	1.1138
+++ konqueror/konq_mainwindow.cc	5 Mar 2003 05:53:59 -0000
@@ -2843,7 +2843,9 @@ void KonqMainWindow::slotToggleFullScree
     setWFlags( WDestructiveClose );
     // Qt bug (see below)
     setAcceptDrops( FALSE );
+#ifndef Q_WS_MAC
     topData()->dnd = 0;
+#endif
     setAcceptDrops( TRUE );
 
     m_ptaFullScreen->setText( i18n( "Exit Full-Screen Mode" ) );
@@ -2862,7 +2864,9 @@ void KonqMainWindow::slotToggleFullScree
     setWFlags( WType_TopLevel | WDestructiveClose );
     // Other Qt bug
     setAcceptDrops( FALSE );
+#ifndef Q_WS_MAC
     topData()->dnd = 0;
+#endif
     setAcceptDrops( TRUE );
 
     m_ptaFullScreen->setText( i18n( "Full-Screen Mode" ) );
@@ -4152,7 +4156,9 @@ void KonqMainWindow::setIcon( const QPix
   if ( !url.isEmpty() )
     big = KonqPixmapProvider::self()->pixmapFor( url, KIcon::SizeMedium );
 
+#ifdef Q_WS_X11
   KWin::setIcons( winId(), big, pix );
+#endif
 }
 
 void KonqMainWindow::slotIntro()
Index: konqueror/konq_misc.cc
===================================================================
RCS file: /home/kde/kdebase/konqueror/konq_misc.cc,v
retrieving revision 1.42
diff -d -u -p -r1.42 konq_misc.cc
--- konqueror/konq_misc.cc	19 Dec 2002 10:57:14 -0000	1.42
+++ konqueror/konq_misc.cc	5 Mar 2003 05:53:59 -0000
@@ -47,6 +47,7 @@
 // Terminates fullscreen-mode for any full-screen window on the current desktop
 void KonqMisc::abortFullScreenMode()
 {
+#ifdef Q_WS_X11
   QPtrList<KonqMainWindow> *mainWindows = KonqMainWindow::mainWindowList();
   if ( mainWindows )
   {
@@ -62,6 +63,7 @@ void KonqMisc::abortFullScreenMode()
       }
     }
   }
+#endif
 }
 
 KonqMainWindow * KonqMisc::createSimpleWindow( const KURL & _url, const QString &frameName )
@@ -122,7 +124,9 @@ KonqMainWindow * KonqMisc::createBrowser
   else if( KonqMainWindow::isPreloaded() && KonqMainWindow::preloadedWindow() != NULL )
   {
       mainWindow = KonqMainWindow::preloadedWindow();
+#ifdef Q_WS_X11
       KStartupInfo::setWindowStartupId( mainWindow->winId(), kapp->startupId());
+#endif
       KonqMainWindow::setPreloadedWindow( NULL );
       mainWindow->resetWindow();
       mainWindow->setShowHTML( !forbidUseHTML );
Index: konqueror/client/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/konqueror/client/Makefile.am,v
retrieving revision 1.38
diff -d -u -p -r1.38 Makefile.am
--- konqueror/client/Makefile.am	6 Jan 2003 16:23:49 -0000	1.38
+++ konqueror/client/Makefile.am	5 Mar 2003 05:53:59 -0000
@@ -5,7 +5,7 @@ lib_LTLIBRARIES = kfmclient.la
 
 INCLUDES= -I.. $(all_includes)
 kfmclient_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kfmclient_la_LIBADD =  $(LIB_KIO)
+kfmclient_la_LIBADD =  $(LIB_KIO) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_QT) -lDCOP
 kfmclient_la_SOURCES = kfmclient.cc KonquerorIface.stub KDesktopIface.stub
 
 noinst_HEADERS = kfmclient.h
Index: konqueror/client/kfmclient.cc
===================================================================
RCS file: /home/kde/kdebase/konqueror/client/kfmclient.cc,v
retrieving revision 1.98
diff -d -u -p -r1.98 kfmclient.cc
--- konqueror/client/kfmclient.cc	11 Feb 2003 16:54:38 -0000	1.98
+++ konqueror/client/kfmclient.cc	5 Mar 2003 05:54:00 -0000
@@ -48,7 +48,9 @@
 #include "KonquerorIface_stub.h"
 #include "KDesktopIface_stub.h"
 
-#include <X11/Xlib.h>
+#ifdef Q_WS_X11
+# include <X11/Xlib.h>
+#endif
 
 static const char appName[] = "kfmclient";
 
@@ -269,6 +271,7 @@ bool clientApp::createNewWindow(const KU
         kdDebug() << "clientApp::createNewWindow using existing konqueror" << endl;
         KonquerorIface_stub konqy( appId, "KonquerorIface" );
         konqy.createNewWindowASN( url.url(), mimetype, startup_id_str );
+#ifdef Q_WS_X11
         KStartupInfoId id;
         id.initId( startup_id_str );
         KStartupInfoData data;
@@ -281,6 +284,7 @@ bool clientApp::createNewWindow(const KU
             KStartupInfo::sendChangeX( dpy, id, data );
         if( dpy != NULL && dpy != qt_xdisplay())
             XCloseDisplay( dpy );
+#endif
     }
     else
     {
@@ -292,16 +296,20 @@ bool clientApp::createNewWindow(const KU
             kdError() << "Couldn't start konqueror from konqueror.desktop: " << error << endl;
             */
             // pass kfmclient's startup id to konqueror using kshell
+#ifdef Q_WS_X11
             KStartupInfoId id;
             id.initId( startup_id_str );
             id.setupStartupEnv();
+#endif
             KProcess proc;
             if ( mimetype.isEmpty() )
                 proc << QString::fromLatin1("kshell") << QString::fromLatin1("konqueror") << url.url();
             else
                 proc << QString::fromLatin1("kshell") << QString::fromLatin1("konqueror") << QString::fromLatin1("-mimetype") << mimetype << url.url();
             proc.start( KProcess::DontCare );
+#ifdef Q_WS_X11
             KStartupInfo::resetStartupEnv();
+#endif
             kdDebug() << "clientApp::createNewWindow KProcess started" << endl;
         //}
     }
@@ -338,6 +346,7 @@ bool clientApp::openProfile( const QStri
   else
       konqy.createBrowserWindowFromProfileAndURLASN( profile, profileName, url, mimetype, startup_id_str );
   sleep(2); // Martin Schenk <martin@schenk.com> says this is necessary to let the server read from the socket
+#ifdef Q_WS_X11
   KStartupInfoId id;
   id.initId( startup_id_str );
   KStartupInfoData sidata;
@@ -350,6 +359,7 @@ bool clientApp::openProfile( const QStri
       KStartupInfo::sendChangeX( dpy, id, sidata );
   if( dpy != NULL && dpy != qt_xdisplay())
       XCloseDisplay( dpy );
+#endif
   return true;
 }
 
@@ -382,8 +392,10 @@ bool clientApp::doIt()
 
   QCString command = args->arg(0);
 
+#ifdef Q_WS_X11
   // read ASN env. variable for non-KApp cases
   startup_id_str = KStartupInfo::currentStartupIdEnv().id();
+#endif
 
   if ( command == "openURL" )
   {
Index: konqueror/keditbookmarks/main.cpp
===================================================================
RCS file: /home/kde/kdebase/konqueror/keditbookmarks/main.cpp,v
retrieving revision 1.27
diff -d -u -p -r1.27 main.cpp
--- konqueror/keditbookmarks/main.cpp	2 Mar 2003 19:19:13 -0000	1.27
+++ konqueror/keditbookmarks/main.cpp	5 Mar 2003 05:54:01 -0000
@@ -64,7 +64,9 @@ static void continueInWindow(QString _wn
       }
    }
 
+#ifdef Q_WS_X11
    KWin::setActiveWindow(id);
+#endif
 }
 
 // TODO - make this register() or something like that and move dialog into main
Index: konqueror/kfmexec/main.cpp
===================================================================
RCS file: /home/kde/kdebase/konqueror/kfmexec/main.cpp,v
retrieving revision 1.31
diff -d -u -p -r1.31 main.cpp
--- konqueror/kfmexec/main.cpp	23 Jan 2003 07:11:24 -0000	1.31
+++ konqueror/kfmexec/main.cpp	5 Mar 2003 05:54:01 -0000
@@ -185,15 +185,19 @@ void KFMExec::slotRunApp()
     kdDebug() << "EXEC '" << params.join(" ") << "'" << endl;
 
     // propagate the startup indentification to the started process
+#ifdef Q_WS_X11
     KStartupInfoId id;
     id.initId( kapp->startupId());
     id.setupStartupEnv();
+#endif
 
     KProcess proc;
     proc << params;
     proc.start( KProcess::Block );
 
+#ifdef Q_WS_X11
     KStartupInfo::resetStartupEnv();
+#endif
 
     kdDebug() << "EXEC done" << endl;
 
Index: konqueror/preloader/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/konqueror/preloader/Makefile.am,v
retrieving revision 1.2
diff -d -u -p -r1.2 Makefile.am
--- konqueror/preloader/Makefile.am	26 Feb 2003 18:04:10 -0000	1.2
+++ konqueror/preloader/Makefile.am	5 Mar 2003 05:54:02 -0000
@@ -5,7 +5,7 @@ kde_module_LTLIBRARIES = kded_konqy_prel
 INCLUDES= -I.. $(all_includes)
 kded_konqy_preloader_la_SOURCES = preloader.cc preloader.skel
 kded_konqy_preloader_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_konqy_preloader_la_LIBADD = $(LIB_KSYCOCA)
+kded_konqy_preloader_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDECORE) $(LIB_QT) -lDCOP $(prefix)/lib/kded.la
 
 METASOURCES = AUTO
 
